︠43f339a1-a2e8-4dde-8f1e-f2e750bbb2e0︠
%cython
def sierpinski(n):
   cdef float t
   GG=[]
   LL=[[1,0]]
   for m in xrange(n):
       t=random()
       if t<(1.0/3.0):
           g=[LL[m][0]/2.0,LL[m][1]/2.0]
       elif ((1.0/3.0)<t) & (t<(2.0/3.0)):
           g=[(LL[m][0]+2.0)/2.0,LL[m][1]/2.0]
       else:
           g=[(LL[m][0]+1.0)/2.0,(LL[m][1]+sqrt(3.0))/2.0]
       LL.append(g)
   return LL
︡2d52b99a-0cc2-4109-9c47-ed4c03af0ac7︡︡
︠40d3b167-96c9-4d46-939b-9353876cee02︠
S=sierpinski(500000)
point(S, size=1, axes=false)
︡8c65563e-11cb-41c2-81b8-5ccf7bca3568︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠1d16d62d-e94f-4a8b-8b49-75c06e26640f︠
%cython
def fernleaf(n):
   cdef float t
   GG=[]
   LL=[[0,0]]
   for m in xrange(n):
       t=random()
       if t<(.01):
           g=[0,.16*LL[m][1]]
       elif ((.01)<=t) & (t<(.86)):
           g=[0.85*LL[m][0]+0.04*LL[m][1], -0.04*LL[m][0]+0.85*LL[m][1]+1.6]
       elif (.86<=t) & (t<.93):
           g=[0.2*LL[m][0]-0.26*LL[m][1], 0.23*LL[m][0]+0.22*LL[m][1]+1.6]
       else:
           g=[-0.15*LL[m][0]+0.28*LL[m][1], 0.26*LL[m][0]+0.24*LL[m][1]+0.44]
       LL.append(g)
   return LL
︡e52906e8-354b-4b16-8a72-077915ae41a8︡︡
︠f7fb5b19-b58b-46a5-8ac2-fc0a09c6bf96︠
C=fernleaf(100000)
︡8baffde2-04e9-4410-971f-c5822fa16d23︡︡
︠f158cf86-b430-4111-b886-ff9f527a6129︠
point(C, size=1, color='green', axes=false)
︡165d984b-f27a-4de3-a4cc-1e5d1a5f32a3︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
